@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&display=swap');

body {
    font-family: "Montserrat", sans-serif;
    line-height: 1.2;
    font-size: 15px;
    color: #fff;
    background: #000 url("../images/luckytreasure/bg.jpg")no-repeat top center;
    background-size: cover;
}

a {
    text-decoration: none;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

    a:hover, a:focus, button:focus, button:hover {
        text-decoration: none;
        outline: none;
    }

img {
    max-width: 100%;
}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}

button {
    background: none;
    border: none;
    padding: 0;
}

.t-body {
    overflow: hidden;
}

.deco {
    position: absolute;
}

canvas.particles-js-canvas-el {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
}

.max-container {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 10px;
}

.top-sec {
    position: relative;
    padding: 10px 0 100px;
    text-align: center;
}

.title-top {
    position: relative;
    margin-bottom: -1%;
}

.quest-date-wrap {
    position: relative;
    font-size: 26px;
    font-weight: 700;
    padding: 0 0 20px;
}

.how-title {
    position: relative;
    margin-bottom: 10px;
}

.deco.coin1 {
    mix-blend-mode: screen;
    left: 10%;
    top: -8%;
    max-width: 35%;
}

    .deco.coin1 img {
        transform: scaleX(-1);
    }

.deco.coin2 {
    right: 9%;
    top: -8%;
    max-width: 35%;
    mix-blend-mode: screen;
}

.token-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
    max-width: 698px;
    margin: 10px auto;
}

.token-wrap {
    position: relative;
    max-width: 343px;
    margin: 0 auto;
}

.token-num {
    position: absolute;
    left: 32%;
    top: 25%;
    text-align: left;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 700;
    line-height: 1.1;
}

span.tknum {
    color: #f2bc14;
    font-size: 140%;
}

.treasure-box {
    position: relative;
}

    .treasure-box .rwimg {
        position: relative;
        max-width: 343px;
        margin: 0 auto;
        cursor: pointer;
    }

        .treasure-box .rwimg img.treasure-hover {
            position: absolute;
            left: 0;
            right: 0;
            top: 0;
            margin: 0 auto;
            opacity: 0;
            visibility: hidden;
            transition: 0.3s;
        }

        .treasure-box .rwimg:hover img.treasure-hover {
            opacity: 1;
            visibility: visible;
        }

.step-img {
    margin-bottom: 10px;
}

.benefit {
    position: relative;
}

.btm-btn-wrap {
    padding: 25px 0 0;
}

button.tnc-btn {
    background: linear-gradient(180deg, #f8e07a 0%, #d3a025 50%, #f8e07a 100%);
    max-width: 344px;
    height: 55px;
    width: 100%;
    color: #14213d;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    margin: 0 auto;
    border: none;
    padding: 0;
    border-radius: 6px;
}

    button.tnc-btn:hover {
        transform: scale(0.98);
        filter: brightness(1.07);
    }

.modal-dialog.terms {
    max-width: 650px;
}

.modal-content.terms {
    background: #0f1829;
    border: none;
    padding: 20px 20px;
}

.tnc-title {
    text-align: center;
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 15px;
}

button.close-btn {
    color: #fff;
    font-size: 34px;
    opacity: 1;
    position: absolute;
    right: 10px;
    top: 6px;
    line-height: 1;
    z-index: 2;
}

ul.terms {
    padding-left: 20px;
}

    ul.terms li {
        font-size: 14px;
        margin-bottom: 10px;
    }

@media(max-width: 700px) {
    .top-sec {
        padding: 10px 0 45px;
    }

    .token-num {
        font-size: 3vw;
    }

    .quest-date-wrap {
        font-size: 20px;
    }
}

@media(max-width: 480px) {
    button.tnc-btn {
        max-width: 74%;
        font-size: 4.5vw;
        height: 12vw;
    }

    .modal-content.terms {
        padding: 20px 15px;
    }
}
